#include <fstream>

using namespace std;

bool prime(long long a)
{
	if (a <= 1)
	{
		return false;
	}
	if (a == 2 || a == 3)
	{
		return true;
	}
	if (a % 6 == 1 || a % 6 == 5)
	{
		for (int i = 2; i * i <= a; i++)
		{
			if (a % i == 0)
			{
				return false;
			}
		}
		return true;
	}
	else return false;
}

int main()
{
	ifstream input;
	ofstream output;
	long long n;
	long long temp1 = 1;
	long long temp2 = 1;
	bool exist = false;

	input.open("DE005.inp");
	output.open("DE005.out");
	input >> n;
	
	for (int i = 2; (temp1 < n && temp2 < n); i++)
	{
		if (i % 2 == 0)
		{
			temp1 += temp2;
			if (prime(temp1) == true && temp1 <= n)
			{
				output << temp1 << ' ';
				exist = true;
			}
		}
		else
		{
			temp2 += temp1;
			if (prime(temp2) == true && temp2 <= n)
			{
				output << temp2 << ' ';
				exist = true;
			}
		}
	}

	if (exist == false)
	{
		output << -1;
	}

	input.close();
	output.close();
	return 0;
}